mscorlib 2.0.0.0 4.0.0.0 System.Object To be added.

Represents a security descriptor. A security descriptor includes an owner, a primary group, a Discretionary Access Control List (DACL), and a System Access Control List (SACL).

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags To be added. To be added.

  Gets values that specify behavior of the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Returns an array of byte values that represents the information contained in this object.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.String `` To be added.

  Returns the Security Descriptor Definition Language (SDDL) representation of the specified sections of the security descriptor that this object represents.

  The SDDL representation of the specified sections of the security descriptor associated with this object.

  Specifies which sections (access rules, audit rules, primary group, owner) of the security descriptor to get.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.SecurityIdentifier To be added. To be added.

  Gets or sets the primary group for this object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Returns a boolean value that specifies whether the security descriptor associated with this object can be converted to the Security Descriptor Definition Language (SDDL) format.

  true if the security descriptor associated with this object can be converted to the Security Descriptor Definition Language (SDDL) format; otherwise, false.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Principal.SecurityIdentifier To be added. To be added.

  Gets or sets the owner of the object associated with this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte To be added. To be added.

  Gets the revision level of the object.